| The Red Matrix

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Pages
Functions
group.php File Reference

## Functions
| group_add ($uid, $name)
| group_rmv ($uid, $name)
| group_byname ($uid, $name)
| group_rec_byhash ($uid, $hash)
| group_rmv_member ($uid, $name, $member)
| group_add_member ($uid, $name, $member, $gid=0)
| group_get_members ($gid)
| mini_group_select ($uid, $gid=0)
| group_side ($every="contacts", $each="group", $edit=false, $group_id=0, $cid= '')
| expand_groups ($a)
| member_of ($c)
| groups_containing ($uid, $c)

## Function Documentation

expand_groups | ( |  | $a | ) |

Referenced by collect_recipients(), enumerate_permissions(), items_fetch(), and network_content().

group_add | ( |  | $uid,
|  |  | $name
| ) |  |

Referenced by create_identity(), and group_post().

group_add_member | ( |  | $uid,
|  |  | $name,
|  |  | $member,
|  |  | $gid = `0`
| ) |  |

Referenced by contactgroup_content(), group_content(), new_contact(), and new_follower().

group_byname | ( |  | $uid,
|  |  | $name
| ) |  |

Referenced by group_add(), group_add_member(), group_post(), and group_rmv_member().

group_get_members | ( |  | $gid | ) |

Referenced by contactgroup_content(), and group_content().

group_rec_byhash | ( |  | $uid,
|  |  | $hash
| ) |  |

Referenced by new_contact().

group_rmv | ( |  | $uid,
|  |  | $name
| ) |  |

Referenced by group_content().

group_rmv_member | ( |  | $uid,
|  |  | $name,
|  |  | $member
| ) |  |

Referenced by contactgroup_content(), and group_content().

group_side | ( |  | $every = `"contacts"`,
|  |  | $each = `"group"`,
|  |  | $edit = `false`,
|  |  | $group_id = `0`,
|  |  | $cid = `''`
| ) |  |

Referenced by connections_aside(), group_aside(), network_init(), and nogroup_init().

groups_containing | ( |  | $uid,
|  |  | $c
| ) |  |

Referenced by group_side().

member_of | ( |  | $c | ) |

mini_group_select | ( |  | $uid,
|  |  | $gid = `0`
| ) |  |